#
# Do not change to use an other upstream as this will break tomahawk and clementine build.
#
Name:           liblastfm
Version:        1.1.0
Release:        %mkrel 6
Summary:        A collection of libraries to help you integrate Last.fm services
License:        GPLv3
Group:          System/Libraries
URL:            https://github.com/lastfm/liblastfm/
Source:         https://github.com/lastfm/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
## upstream patches
Patch4:         liblastfm-1.0.9-fix-build-against-qt-5.11.0.patch
## other patches
Patch10:        d51ad3e759331d7d79c6675c5d22541280bf9a70.patch
Patch11:        liblastfm-cmake-4.0.patch
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  cmake
BuildRequires:  ruby

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

#---------------------------------------------------------------------

%define lastfm_major 1
%define lib5name %mklibname lastfm 5 %{lastfm_major}

%package -n     %{lib5name}
Group:          System/Libraries
Summary:        A collection of libraries to help you integrate Last.fm services

%description -n %{lib5name}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5name}
%{_libdir}/liblastfm5.so.%{lastfm_major}{,.*}

#---------------------------------------------------------------------

%define finger_major 1
%define lib5namefinger %mklibname lastfm_fingerprint 5 %{finger_major}

%package -n     %{lib5namefinger}
Group:          System/Libraries
Summary:        A collection of libraries to help you integrate Last.fm services

%description -n %{lib5namefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5namefinger}
%{_libdir}/liblastfm_fingerprint5.so.%{finger_major}{,.*}

#---------------------------------------------------------------------

%define develname_qt5 %mklibname lastfm-qt5 -d

%package -n     %{develname_qt5}
Summary:        %{name}-qt5 development header
Group:          Development/KDE and Qt
Requires:       %{lib5name} = %{version}-%{release}
Requires:       %{lib5namefinger} = %{version}-%{release}
Provides:       %{name}-qt5-devel = %{version}-%{release}
Conflicts:      %{_lib}lastfm-devel < 1.0.9-5

%description -n %{develname_qt5}
Install this package if you want do compile applications and
using the %{name} library.

%files -n %{develname_qt5}
%doc README COPYING
%{_libdir}/liblastfm5.so
%{_libdir}/liblastfm_fingerprint5.so
%{_includedir}/lastfm5/

#---------------------------------------------------------------------

%prep
%autosetup -p1

%build
%global _vpath_srcdir ..

mkdir Qt5
pushd Qt5
%cmake_qt5 -DBUILD_FINGERPRINT=ON -DBUILD_WITH_QT4=OFF
%cmake_build
popd

%install
%make_install -C Qt5/%{_vpath_builddir}

mv README.md README


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 1.1.0-6.mga10
+ Revision: 2252675
- improve summary and description

* Sat Jul 05 2025 daviddavid <daviddavid> 1.1.0-5.mga10
+ Revision: 2246764
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sat Aug 20 2022 pterjan <pterjan> 1.1.0-4.mga9
+ Revision: 1878852
- Add patch fixing build
- Stop building for Qt4, the 3 packages depending on it use Qt5 version
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1530584
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- build with new cmake macros

* Tue Sep 03 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1436563
- new version: 1.1.0

* Sun Mar 31 2019 umeabot <umeabot> 1.0.9-8.mga7
+ Revision: 1383117
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.9-7.mga7
+ Revision: 1298960
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 daviddavid <daviddavid> 1.0.9-6.mga7
+ Revision: 1237182
- add patch to fix build with new Qt5 >= 5.11.0

* Tue Oct 10 2017 daviddavid <daviddavid> 1.0.9-5.mga7
+ Revision: 1170661
- separate properly the Qt5 devel and the Qt4 devel subpackages
- add two upstream patches

* Mon Feb 15 2016 umeabot <umeabot> 1.0.9-4.mga6
+ Revision: 961072
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 luigiwalser <luigiwalser> 1.0.9-3.mga6
+ Revision: 739702
- remove obsoletes that were only temporarily needed

* Wed Oct 15 2014 luigiwalser <luigiwalser> 1.0.9-2.mga5
+ Revision: 739666
- fix qt5 library names (thanks Luc Menut)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 1.0.9-1.mga5
+ Revision: 738775
- enable Qt5 build
- 1.0.9
- tarball is now available from github
- only enable the Qt4 build for now (same as before)

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-3.mga5
+ Revision: 681571
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 533833
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 luigiwalser <luigiwalser> 1.0.8-1.mga4
+ Revision: 475565
- 1.0.8

* Fri May 24 2013 luigiwalser <luigiwalser> 1.0.7-2.mga4
+ Revision: 426458
- fix Source URL for liblastfm 1.0.7

* Fri May 24 2013 gw666 <gw666> 1.0.7-1.mga4
+ Revision: 426116
- new version

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1.0.6-1.mga3
+ Revision: 393932
- fix URLs
+ gw666 <gw666>
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 357635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 1.0.3-1.mga3
+ Revision: 311648
- 1.0.3

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.0.2-1.mga3
+ Revision: 289854
- 1.0.2
- add fingerprint support

* Thu Aug 02 2012 neoclust <neoclust> 1.0.1-1.mga3
+ Revision: 277753
- Use new fork/upstream, version 1.0.1

* Sat Dec 10 2011 eatdirt <eatdirt> 0.3.3-2.mga2
+ Revision: 180334
- Rebuilt for fftw-3.3

* Mon Jan 24 2011 ahmad <ahmad> 0.3.3-1.mga1
+ Revision: 35838
- imported package liblastfm


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2011.0
+ Revision: 602240
- new version 0.3.3
- 0.3.2

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-2mdv2010.1
+ Revision: 520876
- rebuilt for 2010.1

* Mon Jun 15 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.0-1mdv2010.0
+ Revision: 386166
- imported package liblastfm


